Bug 66525 - too many files open in system
too many files open in system
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-11 15:45 EDT by Robert Reynolds
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of /proc/sys/fs/file-nr every 5 minutes (25.71 KB, text/plain)
2002-06-11 15:54 EDT, Robert Reynolds
no flags Details
lsof ps -elf and top just before server hang (264.66 KB, text/plain)
2002-06-11 15:55 EDT, Robert Reynolds
no flags Details
output log of wc on open files, taken after server had been rebooted (1.58 KB, text/plain)
2002-06-11 15:57 EDT, Robert Reynolds
no flags Details
ps output to match fd_list after server rebooted (11.98 KB, text/plain)
2002-06-11 15:57 EDT, Robert Reynolds
no flags Details

  None (edit)
Description Robert Reynolds 2002-06-11 15:45:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
2.4.9-31enterprise running on Compaq DL360 2 cpu will hang after several days.  
Any command you attempt displays error "too many open files in system"

We are logging file-nr every 5 minutes and notice the number of allocated 
filehandles gradually increase until hits 8192, the system then hangs soon 
thereafter.

Have looked over bug #40071 that is similar but not quite the same.  This 
behavior is not happening on the test server we have running 2.4.9-31 (not 
enterprise) on a Compaq DL360 with one cpu.  Both servers are running the same 
application, albeit under different loads.

Attached is the filehandle log and lsof, ps and top output.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start up server
2.users logon
3.watch allocated filehandles rise until system hangs
	

Actual Results:  too many files open in system

Expected Results:  file handle allocation should not grow.  This is what we see 
on the test server.

Additional info:
Comment 1 Robert Reynolds 2002-06-11 15:54:17 EDT
Created attachment 60568 [details]
log of /proc/sys/fs/file-nr every 5 minutes
Comment 2 Robert Reynolds 2002-06-11 15:55:45 EDT
Created attachment 60569 [details]
lsof ps -elf and top just before server hang
Comment 3 Robert Reynolds 2002-06-11 15:57:03 EDT
Created attachment 60570 [details]
output log of wc on open files,  taken after server had been rebooted
Comment 4 Robert Reynolds 2002-06-11 15:58:00 EDT
Created attachment 60571 [details]
ps output to match fd_list after server rebooted
Comment 5 Robert Reynolds 2002-06-17 11:46:10 EDT
Have rebooted server to use 2.4.9-31 in single cpu mode, not enterprise or smp
version of kernel.  Steady increase in filehandle allocations continues.  Value
of file-max increased from 8192 to 32768.

At this point we are working with the java developers to see how we can better
isolate the problem.
Comment 6 Bugzilla owner 2004-09-30 11:39:40 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.